%define  patch_name kernel-fix-acpi

Name: %patch_name
Version: 2006.10.08
Release: alt1

Summary: %patch_name kernel patch - general fixes for ACPI subsystem
License: GPL
Group: Development/Kernel
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

# kernel 2.4 patches

# http://www.kernel.org/pub/linux/kernel/people/lenb/acpi/patches/release/2.4.28/acpi-20040326-2.4.28.diff.bz2
#source  0	2.4_00_acpi-20040326-2.4.28.diff			2.4

%source 10	2.4_10_acpi-dsdt-initrd-patch-v0.3-2.4.22+20030918.diff	2.4

%source 20	2.4_20_dmi-debug.patch					2.4
%source 21	2.4_21_acpi-cutoff-year-2000.patch			2.4
%source 22	2.4_22_acpi-blacklist.patch				2.4
%source 23	2.4_23_acpi-blacklist.patch				2.4

# kernel 2.6 patches

# http://gaugusch.at/kernel.shtml
%source 2600	2.6_00_acpi-dsdt-initrd-v0.7e-2.6.14.patch		2.6

%source 2610	2.6_10_acpi-attrs.patch					2.6

%source 2620	2.6_20_processor-no-acpi.patch				2.6
%source 2621	2.6_21_powernow-k8-crash-workaround.patch		2.6
%source 2622	2.6_22_blacklist-ibm-thinkpad-600e.patch		2.6

BuildArch: noarch
BuildRequires: kernel-build-tools

%description
General fixes for ACPI subsystem of the Linux kernel.

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Sun Oct 08 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.10.08-alt1
- Added patches for kernel 2.6.16:
  + 2.6_22_blacklist-ibm-thinkpad-600e.patch: blacklist IBM ThinkPad 600E which
    needs acpi=noirq (#9859)

* Fri Jun 16 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.06.16-alt1
- Added patches for kernel 2.6.16:
  + 2.6_21_powernow-k8-crash-workaround.patch: processor: work around oops on
    powernow-k8 unload: http://bugzilla.kernel.org/show_bug.cgi?id=6478
- Removed obsolete patches for kernel 2.6.14:
  - 2.6_21-acpi_bus_find_driver.patch
  - 2.6_22_prefer-_CST-over-FADT.patch
  - 2.6_23_FADT-P_LVL2_UP-support.patch
  - 2.6_24_pmtimer-detect.patch
  - 2.6_25_video-lcd-brightness-null-deref.patch
  - 2.6_26_ht-broken-bios-check.patch
  - 2.6_27_return-from-passive-mode.patch

* Sat Mar 11 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.03.11-alt1
- Updated for kernel 2.6.16.
- Marked old patches to be applied only for 2.6.14:
  - 2.6_21-acpi_bus_find_driver.patch
  - 2.6_22_prefer-_CST-over-FADT.patch
  - 2.6_23_FADT-P_LVL2_UP-support.patch
  - 2.6_24_pmtimer-detect.patch
  - 2.6_25_video-lcd-brightness-null-deref.patch
  - 2.6_26_ht-broken-bios-check.patch
  - 2.6_27_return-from-passive-mode.patch

* Sun Dec 04 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.12.04-alt1
- Added patches for 2.6.14:
  + 2.6_21-acpi_bus_find_driver.patch: fix HP nx8220 boot hang regression
  + 2.6_22_prefer-_CST-over-FADT.patch: prefer _CST over FADT for C-state
    capabilities (as written in the ACPI standard)
  + 2.6_23_FADT-P_LVL2_UP-support.patch: support FADT P_LVL2_UP flag (C2 is
    valid for UP only)
  + 2.6_24_pmtimer-detect.patch: properly detect pmtimer on ASUS A8V
  + 2.6_25_video-lcd-brightness-null-deref.patch: fix null pointer deref in
    video/lcd/brightness
  + 2.6_26_ht-broken-bios-check.patch: fix boot hang on HT boxes with broken
    BIOS reporting wrong ACPI IDs
  + 2.6_27_return-from-passive-mode.patch: allow return to active cooling mode
    once passive mode is entered

* Wed Nov 30 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.11.30-alt1
- Updated for kernel 2.6.14.
- Removed obsolete patches:
  - 2.6_03_acpi_register_gsi.patch
  - 2.6_04_acpi-pci-irq-fix-fix.patch
  - 2.6_05_pnpacpi-rsparser-fix.patch
- Updated the dsdt-initrd patch to version 0.7e for kernel 2.6.14.
- Added:
  + 2.6_20_processor-no-acpi.patch: fix oops on processor module unload when
    ACPI is disabled

* Sun Aug 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.08.14-alt1
- Removed:
  - 2.6_02_suspend-setup-leave.patch: not needed for 2.6.12 even on Acer
    Travelmate 800, and causes problems on other machines (#6785, #7539)

* Mon Jul 25 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.25-alt1
- Added:
  + 2.6_04_acpi-pci-irq-fix-fix.patch: if ACPI doesn't find an irq listed,
    don't accept 0 as a valid PCI irq:
    http://bugme.osdl.org/show_bug.cgi?id=4824
  + 2.6_05_pnpacpi-rsparser-fix.patch: fix PNPACPI resource parser: #7392,
    http://bugzilla.kernel.org/show_bug.cgi?id=3912

* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.02-alt1
- Updated for kernel 2.6.12.
- Updated 2.6_02_suspend-setup-leave.patch, 2.6_10_acpi-attrs.patch for 2.6.12.
- Added:
  + 2.6_03_acpi_register_gsi.patch: call acpi_register_gsi() even for default
    PCI interrupt assignment

* Fri May 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.13-alt1
- Added patches for 2.6:
  + 2.6_10_acpi-attrs.patch: show some ACPI device attributes in sysfs
    (currently hardware_id, compatible_ids, bus_address, unique_id)

* Tue May 10 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.10-alt1
- Added patches for 2.6:
  + 2.6_02_suspend-setup-leave.patch: call ACPI suspend preparation methods in
    proper places with respect to PCI devices suspend/resume (#6785)

* Mon Mar 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.14-alt1
- Updated for kernel 2.6.11.
- Removed obsolete patches:
  - 2.6_00_001-acpi_ibm_exit.patch
  - 2.6_00_014-acpi_video_dev_slab_corruption.patch
  - 2.6_00_056-x86_64_acpi_do_suspend_lowlevel_arg.patch

* Wed Feb 09 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.02.09-alt1
- Added patches from 2.6.10-as3:
  + 2.6_00_001-acpi_ibm_exit.patch
  + 2.6_00_014-acpi_video_dev_slab_corruption.patch
  + 2.6_00_056-x86_64_acpi_do_suspend_lowlevel_arg.patch

* Wed Jan 26 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.01.26-alt1
- Updated for kernel 2.4.29.
- No ACPI update patch for this release yet.

* Sat Dec 25 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.12.25-alt1
- Updated for kernel 2.4.28.
- Updated ACPI patch to version 20040326-2.4.28 (23-Dec-2004):
  + do not run acpi_early_init() if acpi=off
  + allow devices to use reserved IO ports (needed at least for lm_sensors in
    some configurations)

* Wed Oct 20 2004 Anton Farygin <rider@altlinux.ru> 2004.10.20-alt1
- updated for kernel 2.6.9
- Removed obsolete 2.6_02_acpi-20040715.patch

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.10.17-alt1
- Updated for kernel 2.4.27.
- Removed obsolete patches:
   - 2.4_01_button-rmmod.patch
   - 2.4_02_mptable-init.patch
- ACPI update patch not applied for now because of some broken changes there.

* Mon Aug 16 2004 Anton Farygin <rider@altlinux.ru> 2004.08.16-alt1
- updated acpi for kernel 2.6 to 20040715:
    - 2.6_02_acpi-20040715.patch 

* Tue Aug 10 2004 Anton Farygin <rider@altlinux.ru> 2004.08.10-alt1
- added patches for kernel 2.6.7:
  + 2.6_01_acpi-dsdt-initrd-patch-v0.4-2.6.7.patch: DSDT override
    through initrd support

* Wed Jun 23 2004 Anton Farygin <rider@altlinux.ru> 2004.06.22-alt1
- removed patches for 2.6 kernel (now it in mainstream 2.6.7)

* Wed May 12 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.12-alt1
- Added patches for kernel 2.4.26:
  + 2.4_00_acpi-20040326-2.4.26.diff: ACPI update:
    + allow IRQ2 use in ACPI/IOAPIC mode
    + fix "No IRQ known... - using IRQ 255"
    + acpi4asus 0.28 (support for Samsung P30, L4400L, M6800N)
    + fix fully charged battery state text
    + fix toshiba_acpi load with acpi_disabled
    + handle BIOS that reference disabled PCI Interrupt Link Devices
    + handle BIOS returning _CRS outside _PRS
    + fix oopses when unloading modules with busy /proc entries
    + pci=noacpi skips PCI probe, use acpi=noirq to just disable IRQ config
  + 2.4_01_button-rmmod.patch: fix more problems with rmmod button
  + 2.4_02_mptable-init.patch: fix mptable initialization in ACPI mode
  + 2.4_10_acpi-dsdt-initrd-patch-v0.3-2.4.22+20030918.diff: DSDT override
    through initrd support
  + 2.4_20_dmi-debug.patch: print DMI messages (useful for blacklisting)
  + 2.4_21_acpi-cutoff-year-2000.patch: allow ACPI with BIOS from Year 2000
  + 2.4_22_acpi-blacklist.patch: ASUS CUPLE-VM ACPI BIOS Revision 1003 is
    severely broken
  + 2.4_23_acpi-blacklist.patch: Supermicro 370DL3/370DLE and P3TDL3/P3TDLE
    don't work unless pci=noacpi is used

* Wed May 12 2004 Anton Farygin <rider@altlinux.ru> 2004.05.11-alt1
- fix for sharing IRQ12 (2.6_01_acpi-20040326-2.6.6.diff)
